Method: projects.locations.cloudControls.list

Lists the cloud controls (both built-in and custom) that are available in a given parent resource. The latest major version of each cloud control is returned. This method supports pagination.

HTTP request

GET https://cloudsecuritycompliance.googleapis.com/v1/{parent=projects/*/locations/*}/cloudControls

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name, in either of the formats: - organizations/{organization}/locations/{location} - projects/{project}/locations/{location}. The only supported location is global.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of cloud controls to return. The default value is 500.

If you exceed the maximum value of 1000, then the service uses the maximum value.

pageToken

string

Optional. A pagination token that's returned from a previous request to list cloud controls. Provide this token to retrieve the next page of results.

When paginating, the parent that you provide to the cloudControls.list request must match the call that provided the page token.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListCloudControlsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • cloudsecuritycompliance.cloudControls.list

For more information, see the IAM documentation.